<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- This text is a brief description of the features that are present in
the Bash shell (version 5.1, 21 December 2020).

This is Edition 5.1, last updated 21 December 2020,
of The GNU Bash Reference Manual,
for Bash, Version 5.1.

Copyright (C) 1988-2020 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.3 or
any later version published by the Free Software Foundation; with no
Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
A copy of the license is included in the section entitled
"GNU Free Documentation License". -->
<!-- Created by GNU Texinfo 6.7, http://www.gnu.org/software/texinfo/ -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Concept Index (Bash Reference Manual)</title>

<meta name="description" content="Concept Index (Bash Reference Manual)">
<meta name="keywords" content="Concept Index (Bash Reference Manual)">
<meta name="resource-type" content="document">
<meta name="distribution" content="global">
<meta name="Generator" content="makeinfo">
<link href="index.html" rel="start" title="Top">
<link href="Indexes.html" rel="index" title="Indexes">
<link href="index.html#SEC_Contents" rel="contents" title="Table of Contents">
<link href="Indexes.html" rel="up" title="Indexes">
<link href="Function-Index.html" rel="prev" title="Function Index">
<style type="text/css">
<!--
a.summary-letter {text-decoration: none}
blockquote.indentedblock {margin-right: 0em}
div.display {margin-left: 3.2em}
div.example {margin-left: 3.2em}
div.lisp {margin-left: 3.2em}
kbd {font-style: oblique}
pre.display {font-family: inherit}
pre.format {font-family: inherit}
pre.menu-comment {font-family: serif}
pre.menu-preformatted {font-family: serif}
span.nolinebreak {white-space: nowrap}
span.roman {font-family: initial; font-weight: normal}
span.sansserif {font-family: sans-serif; font-weight: normal}
ul.no-bullet {list-style: none}
-->
</style>
<link rel="stylesheet" type="text/css" href="/software/gnulib/manual.css">


</head>

<body lang="en">
<span id="Concept-Index"></span><div class="header">
<p>
Previous: <a href="Function-Index.html" accesskey="p" rel="prev">Function Index</a>, Up: <a href="Indexes.html" accesskey="u" rel="up">Indexes</a> &nbsp; [<a href="index.html#SEC_Contents" title="Table of contents" rel="contents">Contents</a>][<a href="Indexes.html" title="Index" rel="index">Index</a>]</p>
</div>
<hr>
<span id="Concept-Index-1"></span><h3 class="appendixsec">D.5 Concept Index</h3>
<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Concept-Index_cp_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-B"><b>B</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-E"><b>E</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-F"><b>F</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-H"><b>H</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-I"><b>I</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-J"><b>J</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-K"><b>K</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-M"><b>M</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-Q"><b>Q</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-S"><b>S</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-T"><b>T</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-V"><b>V</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-W"><b>W</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-Y"><b>Y</b></a>
 &nbsp; 
</td></tr></table>
<table class="index-cp" border="0">
<tr><td></td><th align="left">Index Entry</th><td>&nbsp;</td><th align="left"> Section</th></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-A">A</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Aliases.html#index-alias-expansion">alias expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Aliases.html">Aliases</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Arithmetic.html#index-arithmetic-evaluation">arithmetic evaluation</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Arithmetic.html">Shell Arithmetic</a></td></tr>
<tr><td></td><td valign="top"><a href="Arithmetic-Expansion.html#index-arithmetic-expansion">arithmetic expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Arithmetic-Expansion.html">Arithmetic Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Arithmetic.html#index-arithmetic_002c-shell">arithmetic, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Arithmetic.html">Shell Arithmetic</a></td></tr>
<tr><td></td><td valign="top"><a href="Arrays.html#index-arrays">arrays</a>:</td><td>&nbsp;</td><td valign="top"><a href="Arrays.html">Arrays</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-B">B</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Job-Control-Basics.html#index-background">background</a>:</td><td>&nbsp;</td><td valign="top"><a href="Job-Control-Basics.html">Job Control Basics</a></td></tr>
<tr><td></td><td valign="top"><a href="Basic-Installation.html#index-Bash-configuration">Bash configuration</a>:</td><td>&nbsp;</td><td valign="top"><a href="Basic-Installation.html">Basic Installation</a></td></tr>
<tr><td></td><td valign="top"><a href="Basic-Installation.html#index-Bash-installation">Bash installation</a>:</td><td>&nbsp;</td><td valign="top"><a href="Basic-Installation.html">Basic Installation</a></td></tr>
<tr><td></td><td valign="top"><a href="Basic-Shell-Features.html#index-Bourne-shell">Bourne shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Basic-Shell-Features.html">Basic Shell Features</a></td></tr>
<tr><td></td><td valign="top"><a href="Brace-Expansion.html#index-brace-expansion">brace expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Brace-Expansion.html">Brace Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-builtin-1">builtin</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-C">C</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Bare-Essentials.html#index-command-editing">command editing</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Bare-Essentials.html">Readline Bare Essentials</a></td></tr>
<tr><td></td><td valign="top"><a href="Command-Search-and-Execution.html#index-command-execution">command execution</a>:</td><td>&nbsp;</td><td valign="top"><a href="Command-Search-and-Execution.html">Command Search and Execution</a></td></tr>
<tr><td></td><td valign="top"><a href="Simple-Command-Expansion.html#index-command-expansion">command expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Simple-Command-Expansion.html">Simple Command Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Bash-History-Facilities.html#index-command-history">command history</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-History-Facilities.html">Bash History Facilities</a></td></tr>
<tr><td></td><td valign="top"><a href="Command-Search-and-Execution.html#index-command-search">command search</a>:</td><td>&nbsp;</td><td valign="top"><a href="Command-Search-and-Execution.html">Command Search and Execution</a></td></tr>
<tr><td></td><td valign="top"><a href="Command-Substitution.html#index-command-substitution">command substitution</a>:</td><td>&nbsp;</td><td valign="top"><a href="Command-Substitution.html">Command Substitution</a></td></tr>
<tr><td></td><td valign="top"><a href="Pipelines.html#index-command-timing">command timing</a>:</td><td>&nbsp;</td><td valign="top"><a href="Pipelines.html">Pipelines</a></td></tr>
<tr><td></td><td valign="top"><a href="Compound-Commands.html#index-commands_002c-compound">commands, compound</a>:</td><td>&nbsp;</td><td valign="top"><a href="Compound-Commands.html">Compound Commands</a></td></tr>
<tr><td></td><td valign="top"><a href="Conditional-Constructs.html#index-commands_002c-conditional">commands, conditional</a>:</td><td>&nbsp;</td><td valign="top"><a href="Conditional-Constructs.html">Conditional Constructs</a></td></tr>
<tr><td></td><td valign="top"><a href="Command-Grouping.html#index-commands_002c-grouping">commands, grouping</a>:</td><td>&nbsp;</td><td valign="top"><a href="Command-Grouping.html">Command Grouping</a></td></tr>
<tr><td></td><td valign="top"><a href="Lists.html#index-commands_002c-lists">commands, lists</a>:</td><td>&nbsp;</td><td valign="top"><a href="Lists.html">Lists</a></td></tr>
<tr><td></td><td valign="top"><a href="Looping-Constructs.html#index-commands_002c-looping">commands, looping</a>:</td><td>&nbsp;</td><td valign="top"><a href="Looping-Constructs.html">Looping Constructs</a></td></tr>
<tr><td></td><td valign="top"><a href="Pipelines.html#index-commands_002c-pipelines">commands, pipelines</a>:</td><td>&nbsp;</td><td valign="top"><a href="Pipelines.html">Pipelines</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Commands.html#index-commands_002c-shell">commands, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Commands.html">Shell Commands</a></td></tr>
<tr><td></td><td valign="top"><a href="Simple-Commands.html#index-commands_002c-simple">commands, simple</a>:</td><td>&nbsp;</td><td valign="top"><a href="Simple-Commands.html">Simple Commands</a></td></tr>
<tr><td></td><td valign="top"><a href="Comments.html#index-comments_002c-shell">comments, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Comments.html">Comments</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Compatibility-Mode.html#index-Compatibility-Level">Compatibility Level</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Compatibility-Mode.html">Shell Compatibility Mode</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Compatibility-Mode.html#index-Compatibility-Mode">Compatibility Mode</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Compatibility-Mode.html">Shell Compatibility Mode</a></td></tr>
<tr><td></td><td valign="top"><a href="Programmable-Completion-Builtins.html#index-completion-builtins">completion builtins</a>:</td><td>&nbsp;</td><td valign="top"><a href="Programmable-Completion-Builtins.html">Programmable Completion Builtins</a></td></tr>
<tr><td></td><td valign="top"><a href="Basic-Installation.html#index-configuration">configuration</a>:</td><td>&nbsp;</td><td valign="top"><a href="Basic-Installation.html">Basic Installation</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-control-operator">control operator</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Coprocesses.html#index-coprocess">coprocess</a>:</td><td>&nbsp;</td><td valign="top"><a href="Coprocesses.html">Coprocesses</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-D">D</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="The-Directory-Stack.html#index-directory-stack">directory stack</a>:</td><td>&nbsp;</td><td valign="top"><a href="The-Directory-Stack.html">The Directory Stack</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-E">E</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Bare-Essentials.html#index-editing-command-lines">editing command lines</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Bare-Essentials.html">Readline Bare Essentials</a></td></tr>
<tr><td></td><td valign="top"><a href="Environment.html#index-environment">environment</a>:</td><td>&nbsp;</td><td valign="top"><a href="Environment.html">Environment</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Arithmetic.html#index-evaluation_002c-arithmetic">evaluation, arithmetic</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Arithmetic.html">Shell Arithmetic</a></td></tr>
<tr><td></td><td valign="top"><a href="Event-Designators.html#index-event-designators">event designators</a>:</td><td>&nbsp;</td><td valign="top"><a href="Event-Designators.html">Event Designators</a></td></tr>
<tr><td></td><td valign="top"><a href="Command-Execution-Environment.html#index-execution-environment">execution environment</a>:</td><td>&nbsp;</td><td valign="top"><a href="Command-Execution-Environment.html">Command Execution Environment</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-exit-status">exit status</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Exit-Status.html#index-exit-status-1">exit status</a>:</td><td>&nbsp;</td><td valign="top"><a href="Exit-Status.html">Exit Status</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Expansions.html#index-expansion">expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Expansions.html">Shell Expansions</a></td></tr>
<tr><td></td><td valign="top"><a href="Arithmetic-Expansion.html#index-expansion_002c-arithmetic">expansion, arithmetic</a>:</td><td>&nbsp;</td><td valign="top"><a href="Arithmetic-Expansion.html">Arithmetic Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Brace-Expansion.html#index-expansion_002c-brace">expansion, brace</a>:</td><td>&nbsp;</td><td valign="top"><a href="Brace-Expansion.html">Brace Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Filename-Expansion.html#index-expansion_002c-filename">expansion, filename</a>:</td><td>&nbsp;</td><td valign="top"><a href="Filename-Expansion.html">Filename Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Parameter-Expansion.html#index-expansion_002c-parameter">expansion, parameter</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Parameter-Expansion.html">Shell Parameter Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Filename-Expansion.html#index-expansion_002c-pathname">expansion, pathname</a>:</td><td>&nbsp;</td><td valign="top"><a href="Filename-Expansion.html">Filename Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Tilde-Expansion.html#index-expansion_002c-tilde">expansion, tilde</a>:</td><td>&nbsp;</td><td valign="top"><a href="Tilde-Expansion.html">Tilde Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Arithmetic.html#index-expressions_002c-arithmetic">expressions, arithmetic</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Arithmetic.html">Shell Arithmetic</a></td></tr>
<tr><td></td><td valign="top"><a href="Bash-Conditional-Expressions.html#index-expressions_002c-conditional">expressions, conditional</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-Conditional-Expressions.html">Bash Conditional Expressions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-F">F</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-field">field</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-filename">filename</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Filename-Expansion.html#index-filename-expansion">filename expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Filename-Expansion.html">Filename Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Job-Control-Basics.html#index-foreground">foreground</a>:</td><td>&nbsp;</td><td valign="top"><a href="Job-Control-Basics.html">Job Control Basics</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Functions.html#index-functions_002c-shell">functions, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Functions.html">Shell Functions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-H">H</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Bash-History-Builtins.html#index-history-builtins">history builtins</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-History-Builtins.html">Bash History Builtins</a></td></tr>
<tr><td></td><td valign="top"><a href="Event-Designators.html#index-history-events">history events</a>:</td><td>&nbsp;</td><td valign="top"><a href="Event-Designators.html">Event Designators</a></td></tr>
<tr><td></td><td valign="top"><a href="History-Interaction.html#index-history-expansion">history expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="History-Interaction.html">History Interaction</a></td></tr>
<tr><td></td><td valign="top"><a href="Bash-History-Facilities.html#index-history-list">history list</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-History-Facilities.html">Bash History Facilities</a></td></tr>
<tr><td></td><td valign="top"><a href="A-Programmable-Completion-Example.html#index-History_002c-how-to-use">History, how to use</a>:</td><td>&nbsp;</td><td valign="top"><a href="A-Programmable-Completion-Example.html">A Programmable Completion Example</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-I">I</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-identifier">identifier</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Init-File.html#index-initialization-file_002c-readline">initialization file, readline</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Init-File.html">Readline Init File</a></td></tr>
<tr><td></td><td valign="top"><a href="Basic-Installation.html#index-installation">installation</a>:</td><td>&nbsp;</td><td valign="top"><a href="Basic-Installation.html">Basic Installation</a></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Interaction.html#index-interaction_002c-readline">interaction, readline</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Interaction.html">Readline Interaction</a></td></tr>
<tr><td></td><td valign="top"><a href="Invoking-Bash.html#index-interactive-shell">interactive shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Invoking-Bash.html">Invoking Bash</a></td></tr>
<tr><td></td><td valign="top"><a href="Interactive-Shells.html#index-interactive-shell-1">interactive shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Interactive-Shells.html">Interactive Shells</a></td></tr>
<tr><td></td><td valign="top"><a href="Locale-Translation.html#index-internationalization">internationalization</a>:</td><td>&nbsp;</td><td valign="top"><a href="Locale-Translation.html">Locale Translation</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-J">J</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-job">job</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-job-control">job control</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Job-Control-Basics.html#index-job-control-1">job control</a>:</td><td>&nbsp;</td><td valign="top"><a href="Job-Control-Basics.html">Job Control Basics</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-K">K</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Killing-Commands.html#index-kill-ring">kill ring</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Killing-Commands.html">Readline Killing Commands</a></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Killing-Commands.html#index-killing-text">killing text</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Killing-Commands.html">Readline Killing Commands</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-L">L</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Locale-Translation.html#index-localization">localization</a>:</td><td>&nbsp;</td><td valign="top"><a href="Locale-Translation.html">Locale Translation</a></td></tr>
<tr><td></td><td valign="top"><a href="Invoking-Bash.html#index-login-shell">login shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Invoking-Bash.html">Invoking Bash</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-M">M</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Pattern-Matching.html#index-matching_002c-pattern">matching, pattern</a>:</td><td>&nbsp;</td><td valign="top"><a href="Pattern-Matching.html">Pattern Matching</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-metacharacter">metacharacter</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-N">N</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-name">name</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Locale-Translation.html#index-native-languages">native languages</a>:</td><td>&nbsp;</td><td valign="top"><a href="Locale-Translation.html">Locale Translation</a></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Bare-Essentials.html#index-notation_002c-readline">notation, readline</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Bare-Essentials.html">Readline Bare Essentials</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-O">O</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-operator_002c-shell">operator, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-P">P</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Parameter-Expansion.html#index-parameter-expansion">parameter expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Parameter-Expansion.html">Shell Parameter Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Parameters.html#index-parameters">parameters</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Parameters.html">Shell Parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Positional-Parameters.html#index-parameters_002c-positional">parameters, positional</a>:</td><td>&nbsp;</td><td valign="top"><a href="Positional-Parameters.html">Positional Parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Special-Parameters.html#index-parameters_002c-special">parameters, special</a>:</td><td>&nbsp;</td><td valign="top"><a href="Special-Parameters.html">Special Parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Filename-Expansion.html#index-pathname-expansion">pathname expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Filename-Expansion.html">Filename Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Pattern-Matching.html#index-pattern-matching">pattern matching</a>:</td><td>&nbsp;</td><td valign="top"><a href="Pattern-Matching.html">Pattern Matching</a></td></tr>
<tr><td></td><td valign="top"><a href="Pipelines.html#index-pipeline">pipeline</a>:</td><td>&nbsp;</td><td valign="top"><a href="Pipelines.html">Pipelines</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-POSIX">POSIX</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Bash-POSIX-Mode.html#index-POSIX-Mode">POSIX Mode</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-POSIX-Mode.html">Bash POSIX Mode</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-process-group">process group</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-process-group-ID">process group ID</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Process-Substitution.html#index-process-substitution">process substitution</a>:</td><td>&nbsp;</td><td valign="top"><a href="Process-Substitution.html">Process Substitution</a></td></tr>
<tr><td></td><td valign="top"><a href="Programmable-Completion.html#index-programmable-completion">programmable completion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Programmable-Completion.html">Programmable Completion</a></td></tr>
<tr><td></td><td valign="top"><a href="Controlling-the-Prompt.html#index-prompting">prompting</a>:</td><td>&nbsp;</td><td valign="top"><a href="Controlling-the-Prompt.html">Controlling the Prompt</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-Q">Q</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Quoting.html#index-quoting">quoting</a>:</td><td>&nbsp;</td><td valign="top"><a href="Quoting.html">Quoting</a></td></tr>
<tr><td></td><td valign="top"><a href="ANSI_002dC-Quoting.html#index-quoting_002c-ANSI">quoting, ANSI</a>:</td><td>&nbsp;</td><td valign="top"><a href="ANSI_002dC-Quoting.html">ANSI-C Quoting</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-R">R</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Job-Control-Variables.html#index-Readline_002c-how-to-use">Readline, how to use</a>:</td><td>&nbsp;</td><td valign="top"><a href="Job-Control-Variables.html">Job Control Variables</a></td></tr>
<tr><td></td><td valign="top"><a href="Redirections.html#index-redirection">redirection</a>:</td><td>&nbsp;</td><td valign="top"><a href="Redirections.html">Redirections</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-reserved-word">reserved word</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Reserved-Words.html#index-reserved-words">reserved words</a>:</td><td>&nbsp;</td><td valign="top"><a href="Reserved-Words.html">Reserved Words</a></td></tr>
<tr><td></td><td valign="top"><a href="The-Restricted-Shell.html#index-restricted-shell">restricted shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="The-Restricted-Shell.html">The Restricted Shell</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-return-status">return status</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-S">S</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Arithmetic.html#index-shell-arithmetic">shell arithmetic</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Arithmetic.html">Shell Arithmetic</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Functions.html#index-shell-function">shell function</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Functions.html">Shell Functions</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Scripts.html#index-shell-script">shell script</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Scripts.html">Shell Scripts</a></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Parameters.html#index-shell-variable">shell variable</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Parameters.html">Shell Parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Interactive-Shells.html#index-shell_002c-interactive">shell, interactive</a>:</td><td>&nbsp;</td><td valign="top"><a href="Interactive-Shells.html">Interactive Shells</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-signal">signal</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Signals.html#index-signal-handling">signal handling</a>:</td><td>&nbsp;</td><td valign="top"><a href="Signals.html">Signals</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-special-builtin">special builtin</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Special-Builtins.html#index-special-builtin-1">special builtin</a>:</td><td>&nbsp;</td><td valign="top"><a href="Special-Builtins.html">Special Builtins</a></td></tr>
<tr><td></td><td valign="top"><a href="Bash-Startup-Files.html#index-startup-files">startup files</a>:</td><td>&nbsp;</td><td valign="top"><a href="Bash-Startup-Files.html">Bash Startup Files</a></td></tr>
<tr><td></td><td valign="top"><a href="Job-Control-Basics.html#index-suspending-jobs">suspending jobs</a>:</td><td>&nbsp;</td><td valign="top"><a href="Job-Control-Basics.html">Job Control Basics</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-T">T</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Tilde-Expansion.html#index-tilde-expansion">tilde expansion</a>:</td><td>&nbsp;</td><td valign="top"><a href="Tilde-Expansion.html">Tilde Expansion</a></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-token">token</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Locale-Translation.html#index-translation_002c-native-languages">translation, native languages</a>:</td><td>&nbsp;</td><td valign="top"><a href="Locale-Translation.html">Locale Translation</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-V">V</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Shell-Parameters.html#index-variable_002c-shell">variable, shell</a>:</td><td>&nbsp;</td><td valign="top"><a href="Shell-Parameters.html">Shell Parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Init-File-Syntax.html#index-variables_002c-readline">variables, readline</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Init-File-Syntax.html">Readline Init File Syntax</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-W">W</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Definitions.html#index-word">word</a>:</td><td>&nbsp;</td><td valign="top"><a href="Definitions.html">Definitions</a></td></tr>
<tr><td></td><td valign="top"><a href="Word-Splitting.html#index-word-splitting">word splitting</a>:</td><td>&nbsp;</td><td valign="top"><a href="Word-Splitting.html">Word Splitting</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th id="Concept-Index_cp_letter-Y">Y</th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Readline-Killing-Commands.html#index-yanking-text">yanking text</a>:</td><td>&nbsp;</td><td valign="top"><a href="Readline-Killing-Commands.html">Readline Killing Commands</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
</table>
<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Concept-Index_cp_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-B"><b>B</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-E"><b>E</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-F"><b>F</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-H"><b>H</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-I"><b>I</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-J"><b>J</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-K"><b>K</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-M"><b>M</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-Q"><b>Q</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-S"><b>S</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-T"><b>T</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-V"><b>V</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-W"><b>W</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-Index_cp_letter-Y"><b>Y</b></a>
 &nbsp; 
</td></tr></table>

<hr>
<div class="header">
<p>
Previous: <a href="Function-Index.html" accesskey="p" rel="prev">Function Index</a>, Up: <a href="Indexes.html" accesskey="u" rel="up">Indexes</a> &nbsp; [<a href="index.html#SEC_Contents" title="Table of contents" rel="contents">Contents</a>][<a href="Indexes.html" title="Index" rel="index">Index</a>]</p>
</div>



</body>
</html>
